package fic

import (
	"os/exec"
)

func GenerateCA() string {
	// Call the script and return its standard and error output
	cmd := exec.Command("./CA.sh", "-newca")

	if output, err := cmd.CombinedOutput(); err != nil {
		return string(output) + err.Error()
	} else {
		return string(output)
	}
}

func (t Team) GenerateCert() string {
	cmd := exec.Command("./CA.sh", "-newclient", t.Name)

	if output, err := cmd.CombinedOutput(); err != nil {
		return string(output) + err.Error()
	} else {
		return string(output)
	}
}

func (t Team) RevokeCert() string {
	cmd := exec.Command("./CA.sh", "-revoke", t.Name)

	if output, err := cmd.CombinedOutput(); err != nil {
		return string(output) + err.Error()
	} else {
		return string(output)
	}
}
