package main

import (
	"srs.epita.fr/fic-server/libfic"
)

var ApiEventsRouting = map[string]DispatchFunction{
	"GET":    getEvents,
}

func getEvents(args []string, body []byte) (interface{}, error) {
	if evts, err := fic.GetEvents(); err != nil {
		return nil, err
	} else {
		return evts, nil
	}
}
